10
0
0
0
10
cocktail0 3
ingredient0 6 ingredient2 5 ingredient1 6 
cocktail1 4
ingredient3 2 ingredient0 2 ingredient1 6 ingredient2 1 
cocktail2 4
ingredient3 6 ingredient1 3 ingredient4 3 ingredient2 4 
cocktail3 3
ingredient0 6 ingredient1 7 ingredient3 3 
cocktail4 5
ingredient0 9 ingredient2 6 ingredient4 4 ingredient1 7 ingredient3 3 
cocktail5 3
ingredient2 4 ingredient4 3 ingredient0 1 
cocktail6 2
ingredient4 7 ingredient3 1 
cocktail7 3
ingredient4 3 ingredient0 4 ingredient1 3 
cocktail8 2
ingredient2 5 ingredient1 3 
cocktail9 4
ingredient2 3 ingredient3 6 ingredient4 2 ingredient1 3 
10
ingredient0 452 422
ingredient1 556 380
ingredient2 489 265
ingredient3 229 342
ingredient4 351 194
ingredient5 501 35
ingredient6 765 125
ingredient7 915 488
ingredient8 857 244
ingredient9 492 228
0
10
cocktail0 3
ingredient2 8 ingredient4 9 ingredient1 8 
cocktail1 2
ingredient0 7 ingredient2 7 
cocktail2 3
ingredient1 5 ingredient4 4 ingredient3 1 
cocktail3 5
ingredient2 3 ingredient0 7 ingredient4 9 ingredient3 8 ingredient1 4 
cocktail4 2
ingredient3 4 ingredient4 5 
cocktail5 3
ingredient0 6 ingredient1 4 ingredient2 9 
cocktail6 4
ingredient0 4 ingredient2 9 ingredient1 6 ingredient3 7 
cocktail7 2
ingredient3 4 ingredient1 8 
cocktail8 4
ingredient0 7 ingredient1 7 ingredient4 5 ingredient3 7 
cocktail9 3
ingredient4 7 ingredient3 2 ingredient2 4 
0
10
cocktail1
cocktail5
cocktail9
cocktail9
cocktail1
cocktail4
cocktail9
cocktail1
cocktail0
cocktail7
0
10
ingredient0 706 229
ingredient1 128 151
ingredient2 985 159
ingredient3 921 225
ingredient4 423 270
ingredient5 397 82
ingredient6 631 85
ingredient7 293 473
ingredient8 673 351
ingredient9 626 386
10
cocktail2
cocktail9
cocktail0
cocktail2
cocktail8
cocktail3
cocktail8
cocktail0
cocktail4
cocktail0
5
cocktail0 5
ingredient8 5 ingredient4 6 ingredient12 5 ingredient9 3 ingredient13 2 
cocktail1 3
ingredient11 4 ingredient0 7 ingredient12 8 
cocktail2 3
ingredient8 2 ingredient0 9 ingredient4 4 
cocktail3 5
ingredient2 5 ingredient11 1 ingredient0 1 ingredient12 9 ingredient7 5 
cocktail4 2
ingredient9 4 ingredient6 1 
14
ingredient0 305 29
ingredient1 28 51
ingredient2 749 57
ingredient3 903 295
ingredient4 698 200
ingredient5 44 40
ingredient6 3 429
ingredient7 404 1
ingredient8 682 148
ingredient9 539 160
ingredient10 152 36
ingredient11 135 340
ingredient12 693 216
ingredient13 128 5
30
cocktail5
cocktail1
cocktail0
cocktail5
cocktail1
cocktail5
cocktail1
cocktail3
cocktail4
cocktail4
cocktail5
cocktail5
cocktail3
cocktail5
cocktail4
cocktail0
cocktail5
cocktail5
cocktail0
cocktail3
cocktail4
cocktail0
cocktail2
cocktail3
cocktail3
cocktail2
cocktail2
cocktail5
cocktail0
cocktail0
15
cocktail0 4
ingredient7 3 ingredient11 3 ingredient4 1 ingredient1 6 
cocktail1 5
ingredient10 2 ingredient14 3 ingredient12 2 ingredient4 7 ingredient8 8 
cocktail2 5
ingredient21 8 ingredient8 3 ingredient20 1 ingredient19 7 ingredient7 8 
cocktail3 7
ingredient15 8 ingredient11 3 ingredient8 4 ingredient9 4 ingredient3 3 ingredient19 2 ingredient7 2 
cocktail4 5
ingredient2 8 ingredient13 3 ingredient1 7 ingredient14 6 ingredient7 3 
cocktail5 5
ingredient7 1 ingredient11 9 ingredient15 5 ingredient21 3 ingredient1 5 
cocktail6 6
ingredient3 5 ingredient15 3 ingredient4 8 ingredient12 1 ingredient9 3 ingredient14 7 
cocktail7 3
ingredient15 2 ingredient9 4 ingredient6 9 
cocktail8 6
ingredient14 3 ingredient18 4 ingredient1 3 ingredient12 9 ingredient5 1 ingredient20 3 
cocktail9 4
ingredient11 3 ingredient19 5 ingredient7 9 ingredient9 1 
cocktail10 3
ingredient15 5 ingredient21 7 ingredient13 9 
cocktail11 7
ingredient21 8 ingredient4 1 ingredient20 6 ingredient16 6 ingredient15 5 ingredient13 6 ingredient11 1 
cocktail12 2
ingredient6 7 ingredient11 4 
cocktail13 6
ingredient6 9 ingredient11 8 ingredient8 5 ingredient9 3 ingredient15 2 ingredient16 4 
cocktail14 5
ingredient9 4 ingredient21 9 ingredient17 8 ingredient11 4 ingredient13 4 
22
ingredient0 309 335
ingredient1 699 492
ingredient2 377 399
ingredient3 716 53
ingredient4 172 190
ingredient5 560 7
ingredient6 11 17
ingredient7 225 110
ingredient8 540 1
ingredient9 379 110
ingredient10 54 82
ingredient11 115 339
ingredient12 990 427
ingredient13 68 148
ingredient14 224 288
ingredient15 232 33
ingredient16 123 282
ingredient17 876 351
ingredient18 180 91
ingredient19 255 351
ingredient20 132 314
ingredient21 858 495
120
cocktail13
cocktail1
cocktail11
cocktail8
cocktail1
cocktail14
cocktail5
cocktail15
cocktail7
cocktail0
cocktail9
cocktail12
cocktail2
cocktail12
cocktail7
cocktail9
cocktail0
cocktail14
cocktail13
cocktail10
cocktail15
cocktail1
cocktail12
cocktail3
cocktail15
cocktail10
cocktail9
cocktail11
cocktail0
cocktail10
cocktail1
cocktail13
cocktail11
cocktail12
cocktail6
cocktail13
cocktail10
cocktail11
cocktail12
cocktail2
cocktail11
cocktail5
cocktail14
cocktail13
cocktail2
cocktail6
cocktail7
cocktail2
cocktail4
cocktail4
cocktail12
cocktail4
cocktail5
cocktail8
cocktail7
cocktail5
cocktail2
cocktail0
cocktail0
cocktail2
cocktail11
cocktail1
cocktail0
cocktail6
cocktail13
cocktail6
cocktail3
cocktail8
cocktail1
cocktail15
cocktail10
cocktail13
cocktail5
cocktail8
cocktail10
cocktail7
cocktail14
cocktail1
cocktail9
cocktail3
cocktail6
cocktail5
cocktail7
cocktail11
cocktail13
cocktail14
cocktail0
cocktail15
cocktail14
cocktail0
cocktail2
cocktail9
cocktail1
cocktail2
cocktail0
cocktail15
cocktail8
cocktail3
cocktail7
cocktail9
cocktail3
cocktail1
cocktail6
cocktail8
cocktail9
cocktail1
cocktail15
cocktail8
cocktail2
cocktail8
cocktail11
cocktail8
cocktail13
cocktail2
cocktail4
cocktail10
cocktail0
cocktail4
cocktail9
cocktail14
25
cocktail0 7
ingredient20 5 ingredient15 5 ingredient3 7 ingredient4 2 ingredient1 6 ingredient9 3 ingredient0 9 
cocktail1 5
ingredient14 9 ingredient9 7 ingredient5 9 ingredient13 8 ingredient12 6 
cocktail2 3
ingredient7 6 ingredient11 3 ingredient14 7 
cocktail3 2
ingredient16 4 ingredient5 8 
cocktail4 3
ingredient3 4 ingredient16 3 ingredient10 6 
cocktail5 7
ingredient21 5 ingredient7 5 ingredient0 9 ingredient15 2 ingredient19 4 ingredient17 2 ingredient14 5 
cocktail6 5
ingredient19 2 ingredient1 7 ingredient21 6 ingredient2 5 ingredient10 7 
cocktail7 7
ingredient2 6 ingredient5 2 ingredient9 7 ingredient1 6 ingredient15 3 ingredient21 2 ingredient18 2 
cocktail8 8
ingredient7 1 ingredient2 9 ingredient0 4 ingredient6 2 ingredient9 8 ingredient1 3 ingredient13 6 ingredient21 5 
cocktail9 6
ingredient6 4 ingredient10 7 ingredient21 5 ingredient18 5 ingredient17 4 ingredient7 7 
cocktail10 6
ingredient17 5 ingredient10 5 ingredient9 6 ingredient5 2 ingredient0 1 ingredient20 1 
cocktail11 8
ingredient3 8 ingredient11 9 ingredient19 6 ingredient7 8 ingredient0 7 ingredient8 5 ingredient15 9 ingredient5 3 
cocktail12 2
ingredient7 9 ingredient18 2 
cocktail13 5
ingredient6 3 ingredient13 2 ingredient4 4 ingredient3 7 ingredient7 8 
cocktail14 3
ingredient4 6 ingredient3 5 ingredient14 6 
cocktail15 4
ingredient0 6 ingredient21 9 ingredient18 2 ingredient2 4 
cocktail16 7
ingredient8 1 ingredient6 8 ingredient13 7 ingredient21 7 ingredient11 5 ingredient12 6 ingredient7 8 
cocktail17 2
ingredient5 9 ingredient2 9 
cocktail18 2
ingredient5 3 ingredient17 9 
cocktail19 6
ingredient5 9 ingredient10 2 ingredient12 9 ingredient14 8 ingredient9 8 ingredient13 2 
cocktail20 3
ingredient4 6 ingredient15 8 ingredient11 9 
cocktail21 2
ingredient15 9 ingredient9 7 
cocktail22 5
ingredient8 1 ingredient3 8 ingredient5 6 ingredient0 4 ingredient20 6 
cocktail23 4
ingredient6 4 ingredient2 8 ingredient8 5 ingredient11 6 
cocktail24 7
ingredient1 2 ingredient10 8 ingredient6 5 ingredient5 7 ingredient7 2 ingredient19 1 ingredient21 1 
22
ingredient0 979 354
ingredient1 967 298
ingredient2 749 48
ingredient3 273 17
ingredient4 87 413
ingredient5 160 378
ingredient6 901 54
ingredient7 198 433
ingredient8 4 36
ingredient9 952 108
ingredient10 499 50
ingredient11 155 362
ingredient12 907 335
ingredient13 4 326
ingredient14 785 429
ingredient15 798 264
ingredient16 634 116
ingredient17 561 382
ingredient18 15 186
ingredient19 898 101
ingredient20 98 409
ingredient21 330 350
125
cocktail19
cocktail19
cocktail16
cocktail14
cocktail6
cocktail13
cocktail17
cocktail1
cocktail0
cocktail8
cocktail0
cocktail10
cocktail16
cocktail11
cocktail11
cocktail18
cocktail25
cocktail10
cocktail7
cocktail5
cocktail25
cocktail2
cocktail14
cocktail13
cocktail13
cocktail12
cocktail14
cocktail16
cocktail10
cocktail11
cocktail15
cocktail4
cocktail4
cocktail5
cocktail18
cocktail13
cocktail18
cocktail12
cocktail14
cocktail20
cocktail22
cocktail16
cocktail7
cocktail14
cocktail3
cocktail18
cocktail6
cocktail2
cocktail5
cocktail14
cocktail7
cocktail4
cocktail18
cocktail24
cocktail18
cocktail7
cocktail12
cocktail6
cocktail23
cocktail22
cocktail19
cocktail14
cocktail0
cocktail24
cocktail20
cocktail21
cocktail13
cocktail14
cocktail9
cocktail3
cocktail9
cocktail5
cocktail19
cocktail16
cocktail19
cocktail22
cocktail10
cocktail1
cocktail0
cocktail15
cocktail17
cocktail8
cocktail20
cocktail9
cocktail8
cocktail12
cocktail16
cocktail22
cocktail18
cocktail15
cocktail18
cocktail11
cocktail6
cocktail21
cocktail11
cocktail2
cocktail18
cocktail0
cocktail16
cocktail1
cocktail3
cocktail1
cocktail6
cocktail22
cocktail19
cocktail1
cocktail18
cocktail4
cocktail4
cocktail19
cocktail19
cocktail22
cocktail3
cocktail13
cocktail5
cocktail13
cocktail1
cocktail24
cocktail9
cocktail21
cocktail15
cocktail3
cocktail9
cocktail23
cocktail24
35
cocktail0 6
ingredient0 3 ingredient4 8 ingredient6 1 ingredient3 9 ingredient7 8 ingredient1 8 
cocktail1 2
ingredient8 5 ingredient5 9 
cocktail2 5
ingredient1 5 ingredient5 7 ingredient3 4 ingredient7 9 ingredient0 4 
cocktail3 5
ingredient1 9 ingredient0 8 ingredient2 5 ingredient5 1 ingredient8 7 
cocktail4 4
ingredient4 1 ingredient7 4 ingredient2 4 ingredient5 6 
cocktail5 3
ingredient3 9 ingredient7 9 ingredient1 5 
cocktail6 2
ingredient4 8 ingredient0 9 
cocktail7 5
ingredient7 3 ingredient5 6 ingredient8 5 ingredient2 2 ingredient6 2 
cocktail8 4
ingredient5 7 ingredient3 5 ingredient7 3 ingredient4 1 
cocktail9 2
ingredient3 6 ingredient2 6 
cocktail10 5
ingredient1 2 ingredient7 9 ingredient2 7 ingredient3 2 ingredient6 1 
cocktail11 3
ingredient5 4 ingredient1 3 ingredient4 3 
cocktail12 4
ingredient1 4 ingredient5 7 ingredient4 3 ingredient3 5 
cocktail13 5
ingredient5 2 ingredient2 2 ingredient3 4 ingredient1 8 ingredient7 5 
cocktail14 4
ingredient2 1 ingredient3 7 ingredient0 7 ingredient6 3 
cocktail15 2
ingredient6 4 ingredient1 3 
cocktail16 5
ingredient1 2 ingredient0 3 ingredient2 8 ingredient6 2 ingredient4 2 
cocktail17 6
ingredient4 2 ingredient0 9 ingredient6 2 ingredient7 3 ingredient3 3 ingredient2 3 
cocktail18 2
ingredient2 9 ingredient1 3 
cocktail19 3
ingredient3 3 ingredient6 3 ingredient4 9 
cocktail20 4
ingredient7 1 ingredient6 2 ingredient1 1 ingredient3 8 
cocktail21 3
ingredient0 8 ingredient4 9 ingredient2 5 
cocktail22 5
ingredient2 1 ingredient4 2 ingredient6 7 ingredient7 4 ingredient0 9 
cocktail23 2
ingredient6 2 ingredient2 3 
cocktail24 5
ingredient5 2 ingredient7 3 ingredient4 1 ingredient2 2 ingredient3 9 
cocktail25 3
ingredient0 6 ingredient2 5 ingredient3 8 
cocktail26 3
ingredient2 3 ingredient6 3 ingredient5 5 
cocktail27 2
ingredient5 3 ingredient4 9 
cocktail28 3
ingredient7 9 ingredient1 1 ingredient3 4 
cocktail29 3
ingredient5 7 ingredient2 7 ingredient0 1 
cocktail30 5
ingredient7 4 ingredient0 4 ingredient2 9 ingredient6 9 ingredient8 4 
cocktail31 4
ingredient4 7 ingredient1 2 ingredient3 8 ingredient6 7 
cocktail32 6
ingredient0 1 ingredient6 2 ingredient4 6 ingredient8 7 ingredient2 3 ingredient5 4 
cocktail33 2
ingredient8 1 ingredient1 1 
cocktail34 5
ingredient3 3 ingredient0 1 ingredient2 6 ingredient6 3 ingredient5 2 
9
ingredient0 511 429
ingredient1 847 298
ingredient2 876 295
ingredient3 925 57
ingredient4 251 126
ingredient5 886 254
ingredient6 320 72
ingredient7 556 381
ingredient8 325 220
315
cocktail4
cocktail31
cocktail0
cocktail15
cocktail14
cocktail1
cocktail30
cocktail6
cocktail22
cocktail10
cocktail29
cocktail22
cocktail20
cocktail8
cocktail26
cocktail2
cocktail21
cocktail1
cocktail28
cocktail18
cocktail9
cocktail19
cocktail31
cocktail2
cocktail32
cocktail6
cocktail25
cocktail35
cocktail26
cocktail1
cocktail31
cocktail11
cocktail12
cocktail11
cocktail26
cocktail26
cocktail12
cocktail0
cocktail12
cocktail14
cocktail10
cocktail6
cocktail1
cocktail10
cocktail30
cocktail7
cocktail12
cocktail15
cocktail9
cocktail21
cocktail13
cocktail34
cocktail4
cocktail24
cocktail1
cocktail16
cocktail31
cocktail6
cocktail16
cocktail1
cocktail24
cocktail11
cocktail12
cocktail0
cocktail22
cocktail19
cocktail7
cocktail14
cocktail19
cocktail19
cocktail29
cocktail10
cocktail5
cocktail10
cocktail0
cocktail35
cocktail33
cocktail29
cocktail31
cocktail6
cocktail14
cocktail8
cocktail21
cocktail18
cocktail33
cocktail22
cocktail34
cocktail8
cocktail8
cocktail14
cocktail9
cocktail32
cocktail5
cocktail2
cocktail13
cocktail7
cocktail21
cocktail20
cocktail22
cocktail20
cocktail19
cocktail31
cocktail10
cocktail25
cocktail21
cocktail11
cocktail4
cocktail18
cocktail4
cocktail35
cocktail5
cocktail18
cocktail8
cocktail26
cocktail0
cocktail21
cocktail28
cocktail14
cocktail29
cocktail0
cocktail29
cocktail18
cocktail33
cocktail14
cocktail20
cocktail26
cocktail22
cocktail21
cocktail26
cocktail24
cocktail6
cocktail9
cocktail19
cocktail32
cocktail14
cocktail20
cocktail7
cocktail19
cocktail2
cocktail27
cocktail18
cocktail7
cocktail9
cocktail6
cocktail13
cocktail25
cocktail7
cocktail5
cocktail4
cocktail16
cocktail6
cocktail13
cocktail35
cocktail19
cocktail7
cocktail19
cocktail25
cocktail29
cocktail5
cocktail15
cocktail33
cocktail27
cocktail4
cocktail32
cocktail23
cocktail19
cocktail16
cocktail31
cocktail18
cocktail35
cocktail2
cocktail16
cocktail6
cocktail12
cocktail3
cocktail0
cocktail17
cocktail10
cocktail5
cocktail1
cocktail27
cocktail27
cocktail30
cocktail26
cocktail26
cocktail2
cocktail25
cocktail31
cocktail11
cocktail10
cocktail10
cocktail9
cocktail1
cocktail31
cocktail21
cocktail5
cocktail14
cocktail2
cocktail16
cocktail12
cocktail1
cocktail18
cocktail28
cocktail23
cocktail30
cocktail11
cocktail23
cocktail28
cocktail22
cocktail9
cocktail9
cocktail29
cocktail16
cocktail4
cocktail35
cocktail23
cocktail22
cocktail24
cocktail18
cocktail33
cocktail15
cocktail29
cocktail22
cocktail16
cocktail4
cocktail8
cocktail21
cocktail18
cocktail26
cocktail1
cocktail10
cocktail27
cocktail20
cocktail18
cocktail30
cocktail30
cocktail30
cocktail34
cocktail2
cocktail16
cocktail7
cocktail12
cocktail25
cocktail3
cocktail32
cocktail24
cocktail26
cocktail18
cocktail28
cocktail9
cocktail31
cocktail7
cocktail18
cocktail34
cocktail4
cocktail22
cocktail22
cocktail5
cocktail20
cocktail12
cocktail23
cocktail10
cocktail19
cocktail7
cocktail28
cocktail29
cocktail17
cocktail22
cocktail27
cocktail0
cocktail18
cocktail14
cocktail12
cocktail7
cocktail18
cocktail8
cocktail11
cocktail8
cocktail6
cocktail4
cocktail33
cocktail1
cocktail27
cocktail31
cocktail35
cocktail31
cocktail33
cocktail1
cocktail1
cocktail33
cocktail13
cocktail4
cocktail7
cocktail12
cocktail27
cocktail0
cocktail6
cocktail8
cocktail22
cocktail13
cocktail24
cocktail5
cocktail28
cocktail0
cocktail28
cocktail10
cocktail24
cocktail4
cocktail34
cocktail10
cocktail24
cocktail12
cocktail12
cocktail15
cocktail7
45
cocktail0 2
ingredient5 7 ingredient8 4 
cocktail1 5
ingredient4 4 ingredient13 3 ingredient2 4 ingredient9 3 ingredient15 1 
cocktail2 1
ingredient8 3 
cocktail3 5
ingredient6 1 ingredient3 8 ingredient13 4 ingredient18 8 ingredient19 9 
cocktail4 5
ingredient12 7 ingredient10 4 ingredient18 8 ingredient20 7 ingredient4 5 
cocktail5 4
ingredient20 9 ingredient12 1 ingredient5 6 ingredient18 3 
cocktail6 2
ingredient8 9 ingredient19 9 
cocktail7 4
ingredient10 3 ingredient11 1 ingredient4 5 ingredient9 8 
cocktail8 5
ingredient10 6 ingredient6 2 ingredient22 2 ingredient1 6 ingredient15 2 
cocktail9 6
ingredient23 2 ingredient22 8 ingredient6 9 ingredient7 9 ingredient9 8 ingredient1 5 
cocktail10 3
ingredient13 7 ingredient2 3 ingredient16 8 
cocktail11 3
ingredient6 5 ingredient7 4 ingredient20 1 
cocktail12 6
ingredient16 2 ingredient11 6 ingredient5 1 ingredient0 2 ingredient21 6 ingredient18 3 
cocktail13 3
ingredient18 7 ingredient22 4 ingredient4 7 
cocktail14 6
ingredient18 6 ingredient0 7 ingredient12 8 ingredient10 8 ingredient15 4 ingredient16 3 
cocktail15 3
ingredient15 2 ingredient17 6 ingredient22 7 
cocktail16 6
ingredient2 6 ingredient13 4 ingredient22 4 ingredient11 3 ingredient5 5 ingredient21 7 
cocktail17 3
ingredient2 4 ingredient20 3 ingredient17 9 
cocktail18 2
ingredient16 4 ingredient13 5 
cocktail19 2
ingredient0 4 ingredient10 3 
cocktail20 3
ingredient20 4 ingredient22 8 ingredient7 6 
cocktail21 4
ingredient11 5 ingredient23 6 ingredient5 1 ingredient10 5 
cocktail22 2
ingredient0 1 ingredient15 9 
cocktail23 8
ingredient5 2 ingredient22 5 ingredient11 3 ingredient15 2 ingredient4 3 ingredient16 1 ingredient19 6 ingredient14 5 
cocktail24 3
ingredient8 3 ingredient18 3 ingredient4 4 
cocktail25 2
ingredient20 4 ingredient15 1 
cocktail26 2
ingredient6 9 ingredient19 8 
cocktail27 3
ingredient15 6 ingredient23 2 ingredient8 8 
cocktail28 5
ingredient16 4 ingredient17 6 ingredient10 1 ingredient12 4 ingredient22 3 
cocktail29 3
ingredient20 9 ingredient5 7 ingredient14 4 
cocktail30 5
ingredient3 9 ingredient11 2 ingredient23 2 ingredient10 4 ingredient15 8 
cocktail31 7
ingredient9 2 ingredient7 4 ingredient17 5 ingredient8 7 ingredient2 2 ingredient14 4 ingredient0 8 
cocktail32 5
ingredient17 8 ingredient14 5 ingredient7 9 ingredient23 2 ingredient12 2 
cocktail33 5
ingredient13 6 ingredient16 3 ingredient9 3 ingredient18 6 ingredient12 3 
cocktail34 3
ingredient7 6 ingredient12 8 ingredient10 7 
cocktail35 3
ingredient7 5 ingredient2 1 ingredient1 5 
cocktail36 3
ingredient5 7 ingredient23 1 ingredient15 1 
cocktail37 7
ingredient8 6 ingredient15 5 ingredient17 8 ingredient18 6 ingredient10 3 ingredient9 5 ingredient11 6 
cocktail38 3
ingredient1 4 ingredient8 3 ingredient21 1 
cocktail39 5
ingredient1 7 ingredient11 2 ingredient12 6 ingredient18 3 ingredient17 5 
cocktail40 4
ingredient4 9 ingredient17 9 ingredient2 4 ingredient1 6 
cocktail41 5
ingredient12 4 ingredient9 2 ingredient13 7 ingredient7 1 ingredient4 5 
cocktail42 7
ingredient16 3 ingredient6 5 ingredient10 7 ingredient13 7 ingredient19 6 ingredient5 5 ingredient18 5 
cocktail43 6
ingredient18 8 ingredient14 2 ingredient16 2 ingredient9 8 ingredient15 6 ingredient1 8 
cocktail44 6
ingredient21 6 ingredient17 9 ingredient1 4 ingredient7 1 ingredient18 2 ingredient4 6 
24
ingredient0 995 371
ingredient1 290 197
ingredient2 519 163
ingredient3 397 425
ingredient4 333 364
ingredient5 621 436
ingredient6 641 348
ingredient7 393 19
ingredient8 901 223
ingredient9 544 326
ingredient10 5 484
ingredient11 951 448
ingredient12 502 379
ingredient13 909 388
ingredient14 305 163
ingredient15 63 152
ingredient16 33 352
ingredient17 348 403
ingredient18 367 244
ingredient19 327 51
ingredient20 959 299
ingredient21 838 451
ingredient22 499 230
ingredient23 970 399
405
cocktail6
cocktail6
cocktail8
cocktail44
cocktail31
cocktail24
cocktail15
cocktail3
cocktail38
cocktail23
cocktail36
cocktail28
cocktail15
cocktail7
cocktail3
cocktail43
cocktail14
cocktail12
cocktail16
cocktail24
cocktail14
cocktail30
cocktail22
cocktail26
cocktail11
cocktail17
cocktail1
cocktail13
cocktail7
cocktail22
cocktail21
cocktail13
cocktail22
cocktail23
cocktail5
cocktail7
cocktail41
cocktail20
cocktail4
cocktail33
cocktail37
cocktail35
cocktail10
cocktail7
cocktail42
cocktail7
cocktail44
cocktail10
cocktail20
cocktail8
cocktail29
cocktail28
cocktail33
cocktail5
cocktail8
cocktail44
cocktail17
cocktail9
cocktail5
cocktail18
cocktail25
cocktail20
cocktail31
cocktail41
cocktail38
cocktail30
cocktail43
cocktail27
cocktail4
cocktail41
cocktail9
cocktail35
cocktail30
cocktail19
cocktail36
cocktail20
cocktail26
cocktail35
cocktail31
cocktail40
cocktail37
cocktail14
cocktail22
cocktail24
cocktail13
cocktail25
cocktail16
cocktail24
cocktail28
cocktail21
cocktail42
cocktail2
cocktail36
cocktail21
cocktail43
cocktail22
cocktail5
cocktail34
cocktail3
cocktail3
cocktail24
cocktail12
cocktail39
cocktail8
cocktail31
cocktail29
cocktail29
cocktail12
cocktail12
cocktail8
cocktail0
cocktail4
cocktail16
cocktail23
cocktail28
cocktail23
cocktail2
cocktail45
cocktail2
cocktail30
cocktail14
cocktail38
cocktail32
cocktail44
cocktail14
cocktail24
cocktail20
cocktail13
cocktail6
cocktail24
cocktail17
cocktail30
cocktail30
cocktail4
cocktail33
cocktail16
cocktail27
cocktail10
cocktail22
cocktail40
cocktail18
cocktail22
cocktail38
cocktail28
cocktail39
cocktail20
cocktail5
cocktail41
cocktail13
cocktail1
cocktail26
cocktail22
cocktail40
cocktail6
cocktail20
cocktail8
cocktail30
cocktail35
cocktail15
cocktail31
cocktail7
cocktail32
cocktail15
cocktail37
cocktail36
cocktail2
cocktail1
cocktail18
cocktail12
cocktail23
cocktail6
cocktail24
cocktail40
cocktail44
cocktail6
cocktail33
cocktail12
cocktail6
cocktail29
cocktail26
cocktail7
cocktail3
cocktail42
cocktail1
cocktail3
cocktail10
cocktail3
cocktail28
cocktail45
cocktail19
cocktail13
cocktail6
cocktail45
cocktail22
cocktail38
cocktail30
cocktail25
cocktail39
cocktail42
cocktail31
cocktail11
cocktail2
cocktail4
cocktail5
cocktail40
cocktail10
cocktail38
cocktail6
cocktail10
cocktail15
cocktail26
cocktail18
cocktail12
cocktail22
cocktail13
cocktail10
cocktail33
cocktail11
cocktail38
cocktail26
cocktail30
cocktail45
cocktail27
cocktail23
cocktail21
cocktail19
cocktail7
cocktail40
cocktail12
cocktail3
cocktail20
cocktail23
cocktail45
cocktail24
cocktail22
cocktail39
cocktail28
cocktail9
cocktail40
cocktail39
cocktail24
cocktail20
cocktail11
cocktail31
cocktail37
cocktail18
cocktail41
cocktail18
cocktail29
cocktail27
cocktail38
cocktail7
cocktail26
cocktail19
cocktail31
cocktail1
cocktail38
cocktail32
cocktail36
cocktail45
cocktail36
cocktail10
cocktail16
cocktail29
cocktail34
cocktail33
cocktail17
cocktail16
cocktail42
cocktail11
cocktail9
cocktail14
cocktail25
cocktail14
cocktail39
cocktail10
cocktail33
cocktail34
cocktail28
cocktail10
cocktail15
cocktail15
cocktail18
cocktail35
cocktail34
cocktail3
cocktail37
cocktail21
cocktail35
cocktail27
cocktail14
cocktail19
cocktail37
cocktail24
cocktail3
cocktail19
cocktail11
cocktail20
cocktail35
cocktail7
cocktail25
cocktail45
cocktail16
cocktail4
cocktail7
cocktail9
cocktail9
cocktail40
cocktail38
cocktail31
cocktail5
cocktail1
cocktail0
cocktail17
cocktail37
cocktail35
cocktail20
cocktail22
cocktail4
cocktail3
cocktail43
cocktail18
cocktail17
cocktail28
cocktail42
cocktail14
cocktail1
cocktail8
cocktail28
cocktail36
cocktail9
cocktail7
cocktail29
cocktail25
cocktail5
cocktail37
cocktail35
cocktail14
cocktail25
cocktail27
cocktail40
cocktail24
cocktail28
cocktail40
cocktail41
cocktail13
cocktail29
cocktail15
cocktail35
cocktail33
cocktail13
cocktail32
cocktail45
cocktail24
cocktail14
cocktail42
cocktail38
cocktail15
cocktail44
cocktail20
cocktail0
cocktail7
cocktail21
cocktail29
cocktail27
cocktail20
cocktail14
cocktail16
cocktail29
cocktail40
cocktail37
cocktail23
cocktail18
cocktail13
cocktail17
cocktail14
cocktail27
cocktail41
cocktail23
cocktail16
cocktail22
cocktail30
cocktail43
cocktail22
cocktail8
cocktail11
cocktail12
cocktail0
cocktail21
cocktail10
cocktail14
cocktail21
cocktail17
cocktail29
cocktail44
cocktail44
cocktail44
cocktail13
cocktail8
cocktail27
cocktail7
cocktail39
cocktail44
cocktail19
cocktail7
55
cocktail0 5
ingredient5 3 ingredient2 2 ingredient0 7 ingredient3 8 ingredient1 4 
cocktail1 4
ingredient1 3 ingredient4 7 ingredient0 5 ingredient3 5 
cocktail2 3
ingredient2 4 ingredient3 3 ingredient4 9 
cocktail3 2
ingredient3 4 ingredient5 5 
cocktail4 4
ingredient2 5 ingredient3 4 ingredient4 4 ingredient1 6 
cocktail5 5
ingredient2 3 ingredient4 7 ingredient5 7 ingredient0 5 ingredient3 2 
cocktail6 4
ingredient1 7 ingredient3 8 ingredient2 2 ingredient5 4 
cocktail7 4
ingredient3 4 ingredient2 2 ingredient4 4 ingredient5 8 
cocktail8 5
ingredient5 8 ingredient2 3 ingredient1 5 ingredient0 8 ingredient4 9 
cocktail9 3
ingredient5 7 ingredient1 5 ingredient3 6 
cocktail10 3
ingredient4 9 ingredient5 1 ingredient0 4 
cocktail11 4
ingredient1 2 ingredient2 7 ingredient5 7 ingredient3 9 
cocktail12 4
ingredient1 7 ingredient4 3 ingredient2 8 ingredient3 6 
cocktail13 4
ingredient0 4 ingredient1 9 ingredient5 9 ingredient3 2 
cocktail14 4
ingredient1 3 ingredient5 6 ingredient3 4 ingredient0 1 
cocktail15 4
ingredient2 1 ingredient4 9 ingredient0 6 ingredient5 5 
cocktail16 3
ingredient3 7 ingredient2 3 ingredient1 8 
cocktail17 3
ingredient2 5 ingredient1 2 ingredient3 1 
cocktail18 6
ingredient0 3 ingredient5 8 ingredient3 7 ingredient1 6 ingredient4 3 ingredient2 3 
cocktail19 4
ingredient2 4 ingredient0 9 ingredient3 8 ingredient4 5 
cocktail20 2
ingredient3 2 ingredient4 3 
cocktail21 4
ingredient1 5 ingredient4 6 ingredient3 3 ingredient5 6 
cocktail22 5
ingredient0 4 ingredient2 8 ingredient1 6 ingredient4 6 ingredient5 6 
cocktail23 4
ingredient1 7 ingredient5 9 ingredient2 9 ingredient4 5 
cocktail24 4
ingredient0 2 ingredient5 9 ingredient1 4 ingredient2 6 
cocktail25 1
ingredient0 4 
cocktail26 4
ingredient3 8 ingredient0 5 ingredient1 1 ingredient5 7 
cocktail27 5
ingredient3 6 ingredient2 7 ingredient0 9 ingredient1 2 ingredient5 2 
cocktail28 3
ingredient2 8 ingredient5 7 ingredient1 1 
cocktail29 2
ingredient1 6 ingredient5 9 
cocktail30 5
ingredient5 8 ingredient1 1 ingredient2 7 ingredient3 3 ingredient0 7 
cocktail31 5
ingredient0 1 ingredient3 9 ingredient5 2 ingredient4 6 ingredient2 9 
cocktail32 3
ingredient2 2 ingredient4 1 ingredient0 5 
cocktail33 4
ingredient2 8 ingredient4 9 ingredient3 9 ingredient5 5 
cocktail34 5
ingredient3 7 ingredient5 8 ingredient4 2 ingredient1 7 ingredient0 4 
cocktail35 4
ingredient2 1 ingredient1 2 ingredient4 9 ingredient5 7 
cocktail36 3
ingredient0 2 ingredient3 4 ingredient5 9 
cocktail37 1
ingredient3 2 
cocktail38 4
ingredient4 4 ingredient1 2 ingredient0 1 ingredient5 4 
cocktail39 2
ingredient4 7 ingredient2 3 
cocktail40 5
ingredient1 7 ingredient5 1 ingredient2 9 ingredient3 4 ingredient0 1 
cocktail41 4
ingredient2 3 ingredient1 9 ingredient5 1 ingredient4 3 
cocktail42 4
ingredient2 6 ingredient5 6 ingredient4 7 ingredient1 6 
cocktail43 4
ingredient5 6 ingredient0 2 ingredient3 4 ingredient2 3 
cocktail44 6
ingredient2 2 ingredient4 9 ingredient5 5 ingredient1 3 ingredient0 5 ingredient3 5 
cocktail45 3
ingredient0 3 ingredient2 9 ingredient3 7 
cocktail46 4
ingredient2 9 ingredient4 2 ingredient3 4 ingredient1 1 
cocktail47 4
ingredient3 5 ingredient0 3 ingredient1 8 ingredient5 3 
cocktail48 2
ingredient0 7 ingredient3 6 
cocktail49 5
ingredient1 2 ingredient5 4 ingredient3 7 ingredient2 3 ingredient4 4 
cocktail50 3
ingredient2 9 ingredient3 6 ingredient4 6 
cocktail51 1
ingredient5 7 
cocktail52 5
ingredient4 3 ingredient5 5 ingredient2 2 ingredient1 9 ingredient0 1 
cocktail53 2
ingredient3 5 ingredient2 7 
cocktail54 5
ingredient1 1 ingredient5 6 ingredient3 4 ingredient4 6 ingredient0 9 
6
ingredient0 497 236
ingredient1 661 462
ingredient2 556 459
ingredient3 297 91
ingredient4 632 331
ingredient5 498 122
330
cocktail1
cocktail34
cocktail23
cocktail39
cocktail6
cocktail10
cocktail51
cocktail11
cocktail8
cocktail41
cocktail45
cocktail18
cocktail37
cocktail12
cocktail32
cocktail37
cocktail30
cocktail52
cocktail46
cocktail30
cocktail43
cocktail35
cocktail35
cocktail6
cocktail33
cocktail3
cocktail20
cocktail32
cocktail25
cocktail21
cocktail49
cocktail27
cocktail39
cocktail16
cocktail10
cocktail45
cocktail26
cocktail45
cocktail1
cocktail19
cocktail30
cocktail46
cocktail37
cocktail51
cocktail43
cocktail13
cocktail33
cocktail1
cocktail9
cocktail23
cocktail32
cocktail37
cocktail42
cocktail11
cocktail43
cocktail20
cocktail55
cocktail48
cocktail36
cocktail24
cocktail13
cocktail14
cocktail35
cocktail37
cocktail30
cocktail29
cocktail26
cocktail41
cocktail19
cocktail11
cocktail4
cocktail49
cocktail42
cocktail41
cocktail45
cocktail29
cocktail39
cocktail22
cocktail30
cocktail32
cocktail29
cocktail46
cocktail53
cocktail0
cocktail2
cocktail25
cocktail4
cocktail1
cocktail17
cocktail40
cocktail9
cocktail14
cocktail54
cocktail29
cocktail51
cocktail13
cocktail2
cocktail6
cocktail54
cocktail5
cocktail17
cocktail42
cocktail55
cocktail3
cocktail11
cocktail28
cocktail16
cocktail50
cocktail34
cocktail31
cocktail11
cocktail7
cocktail21
cocktail8
cocktail47
cocktail7
cocktail17
cocktail51
cocktail48
cocktail34
cocktail36
cocktail2
cocktail49
cocktail18
cocktail15
cocktail28
cocktail31
cocktail17
cocktail34
cocktail13
cocktail7
cocktail36
cocktail55
cocktail46
cocktail23
cocktail11
cocktail18
cocktail24
cocktail45
cocktail52
cocktail55
cocktail0
cocktail43
cocktail4
cocktail49
cocktail19
cocktail12
cocktail10
cocktail14
cocktail4
cocktail45
cocktail50
cocktail46
cocktail22
cocktail53
cocktail5
cocktail50
cocktail28
cocktail7
cocktail13
cocktail26
cocktail14
cocktail49
cocktail25
cocktail4
cocktail16
cocktail36
cocktail6
cocktail40
cocktail26
cocktail42
cocktail23
cocktail10
cocktail13
cocktail28
cocktail3
cocktail32
cocktail24
cocktail54
cocktail47
cocktail12
cocktail43
cocktail25
cocktail43
cocktail49
cocktail22
cocktail48
cocktail27
cocktail35
cocktail39
cocktail40
cocktail5
cocktail53
cocktail33
cocktail14
cocktail41
cocktail34
cocktail35
cocktail47
cocktail2
cocktail45
cocktail33
cocktail26
cocktail55
cocktail47
cocktail38
cocktail43
cocktail23
cocktail46
cocktail41
cocktail14
cocktail2
cocktail12
cocktail24
cocktail45
cocktail5
cocktail46
cocktail22
cocktail16
cocktail9
cocktail5
cocktail1
cocktail54
cocktail43
cocktail18
cocktail13
cocktail28
cocktail36
cocktail48
cocktail20
cocktail39
cocktail37
cocktail37
cocktail49
cocktail20
cocktail12
cocktail31
cocktail47
cocktail36
cocktail5
cocktail32
cocktail34
cocktail7
cocktail28
cocktail2
cocktail37
cocktail17
cocktail33
cocktail3
cocktail34
cocktail26
cocktail48
cocktail35
cocktail25
cocktail35
cocktail37
cocktail22
cocktail48
cocktail18
cocktail14
cocktail52
cocktail1
cocktail35
cocktail33
cocktail34
cocktail39
cocktail46
cocktail9
cocktail31
cocktail10
cocktail54
cocktail47
cocktail28
cocktail5
cocktail20
cocktail31
cocktail26
cocktail21
cocktail48
cocktail13
cocktail55
cocktail18
cocktail46
cocktail18
cocktail27
cocktail25
cocktail0
cocktail49
cocktail1
cocktail2
cocktail47
cocktail53
cocktail3
cocktail10
cocktail15
cocktail37
cocktail50
cocktail45
cocktail30
cocktail9
cocktail55
cocktail28
cocktail40
cocktail27
cocktail17
cocktail44
cocktail42
cocktail28
cocktail10
cocktail18
cocktail41
cocktail49
cocktail37
cocktail15
cocktail12
cocktail8
cocktail41
cocktail52
cocktail42
cocktail26
cocktail54
cocktail33
cocktail24
cocktail41
cocktail44
cocktail23
cocktail6
cocktail22
cocktail12
cocktail20
